List Schemas
curl --request GET \
--url https://api.contextual.ai/v1/extract/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.contextual.ai/v1/extract/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.contextual.ai/v1/extract/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemas": [
{
"schema_id": "<string>",
"name": "<string>",
"schema_definition": {},
"metadata": {},
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>"
}
],
"total_count": 123,
"next_cursor": "<string>",
"prev_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}/extract
List Schemas
List schemas with optional search.
GET
/
extract
/
schemas
List Schemas
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Response model for schema listing.
List of schemas
Show child attributes
Show child attributes
Total number of schemas
Next cursor to continue pagination. Omitted if there are no more schemas to retrieve.
Previous cursor to go back in pagination. Omitted if this is the first page.
Was this page helpful?
⌘I